package cn.ibizlab.r7.runtime.core.r7rt_base.service;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import cn.ibizlab.r7.runtime.core.r7rt_base.domain.UserRoleType;
import cn.ibizlab.r7.runtime.core.r7rt_base.filter.UserRoleTypeSearchContext;

/**
 * 实体[UserRoleType] 服务对象接口
 */

public interface IUserRoleTypeService{
     boolean checkKey(UserRoleType userRoleType) ;
     UserRoleType getDraft(UserRoleType userRoleType) ;
     boolean save(UserRoleType userRoleType) ;
     boolean create(UserRoleType userRoleType) ;
     UserRoleType get(String userRoleTypeId) ;
     UserRoleType get(UserRoleType userRoleType) ;
     boolean remove(String userRoleTypeId) ;
     boolean update(UserRoleType userRoleType) ;

    /**
     * 查询集合 DEFAULT
     */
    Page<UserRoleType> searchDefault(UserRoleTypeSearchContext context) ;

}
